"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var SNSClient_1 = require("./SNSClient");
var AddPermissionCommand_1 = require("./commands/AddPermissionCommand");
var CheckIfPhoneNumberIsOptedOutCommand_1 = require("./commands/CheckIfPhoneNumberIsOptedOutCommand");
var ConfirmSubscriptionCommand_1 = require("./commands/ConfirmSubscriptionCommand");
var CreatePlatformApplicationCommand_1 = require("./commands/CreatePlatformApplicationCommand");
var CreatePlatformEndpointCommand_1 = require("./commands/CreatePlatformEndpointCommand");
var CreateTopicCommand_1 = require("./commands/CreateTopicCommand");
var DeleteEndpointCommand_1 = require("./commands/DeleteEndpointCommand");
var DeletePlatformApplicationCommand_1 = require("./commands/DeletePlatformApplicationCommand");
var DeleteTopicCommand_1 = require("./commands/DeleteTopicCommand");
var GetEndpointAttributesCommand_1 = require("./commands/GetEndpointAttributesCommand");
var GetPlatformApplicationAttributesCommand_1 = require("./commands/GetPlatformApplicationAttributesCommand");
var GetSMSAttributesCommand_1 = require("./commands/GetSMSAttributesCommand");
var GetSubscriptionAttributesCommand_1 = require("./commands/GetSubscriptionAttributesCommand");
var GetTopicAttributesCommand_1 = require("./commands/GetTopicAttributesCommand");
var ListEndpointsByPlatformApplicationCommand_1 = require("./commands/ListEndpointsByPlatformApplicationCommand");
var ListPhoneNumbersOptedOutCommand_1 = require("./commands/ListPhoneNumbersOptedOutCommand");
var ListPlatformApplicationsCommand_1 = require("./commands/ListPlatformApplicationsCommand");
var ListSubscriptionsByTopicCommand_1 = require("./commands/ListSubscriptionsByTopicCommand");
var ListSubscriptionsCommand_1 = require("./commands/ListSubscriptionsCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var ListTopicsCommand_1 = require("./commands/ListTopicsCommand");
var OptInPhoneNumberCommand_1 = require("./commands/OptInPhoneNumberCommand");
var PublishCommand_1 = require("./commands/PublishCommand");
var RemovePermissionCommand_1 = require("./commands/RemovePermissionCommand");
var SetEndpointAttributesCommand_1 = require("./commands/SetEndpointAttributesCommand");
var SetPlatformApplicationAttributesCommand_1 = require("./commands/SetPlatformApplicationAttributesCommand");
var SetSMSAttributesCommand_1 = require("./commands/SetSMSAttributesCommand");
var SetSubscriptionAttributesCommand_1 = require("./commands/SetSubscriptionAttributesCommand");
var SetTopicAttributesCommand_1 = require("./commands/SetTopicAttributesCommand");
var SubscribeCommand_1 = require("./commands/SubscribeCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UnsubscribeCommand_1 = require("./commands/UnsubscribeCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var SNS = /** @class */ (function (_super) {
    tslib_1.__extends(SNS, _super);
    function SNS() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SNS.prototype.addPermission = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddPermissionCommand_1.AddPermissionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.checkIfPhoneNumberIsOptedOut = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CheckIfPhoneNumberIsOptedOutCommand_1.CheckIfPhoneNumberIsOptedOutCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.confirmSubscription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ConfirmSubscriptionCommand_1.ConfirmSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.createPlatformApplication = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreatePlatformApplicationCommand_1.CreatePlatformApplicationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.createPlatformEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreatePlatformEndpointCommand_1.CreatePlatformEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.createTopic = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateTopicCommand_1.CreateTopicCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.deleteEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteEndpointCommand_1.DeleteEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.deletePlatformApplication = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeletePlatformApplicationCommand_1.DeletePlatformApplicationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.deleteTopic = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteTopicCommand_1.DeleteTopicCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.getEndpointAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetEndpointAttributesCommand_1.GetEndpointAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.getPlatformApplicationAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetPlatformApplicationAttributesCommand_1.GetPlatformApplicationAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.getSMSAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetSMSAttributesCommand_1.GetSMSAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.getSubscriptionAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetSubscriptionAttributesCommand_1.GetSubscriptionAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.getTopicAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetTopicAttributesCommand_1.GetTopicAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.listEndpointsByPlatformApplication = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListEndpointsByPlatformApplicationCommand_1.ListEndpointsByPlatformApplicationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.listPhoneNumbersOptedOut = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPhoneNumbersOptedOutCommand_1.ListPhoneNumbersOptedOutCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.listPlatformApplications = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPlatformApplicationsCommand_1.ListPlatformApplicationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.listSubscriptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListSubscriptionsCommand_1.ListSubscriptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.listSubscriptionsByTopic = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListSubscriptionsByTopicCommand_1.ListSubscriptionsByTopicCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.listTopics = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTopicsCommand_1.ListTopicsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.optInPhoneNumber = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new OptInPhoneNumberCommand_1.OptInPhoneNumberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.publish = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PublishCommand_1.PublishCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.removePermission = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemovePermissionCommand_1.RemovePermissionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.setEndpointAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetEndpointAttributesCommand_1.SetEndpointAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.setPlatformApplicationAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetPlatformApplicationAttributesCommand_1.SetPlatformApplicationAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.setSMSAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetSMSAttributesCommand_1.SetSMSAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.setSubscriptionAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetSubscriptionAttributesCommand_1.SetSubscriptionAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.setTopicAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetTopicAttributesCommand_1.SetTopicAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.subscribe = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SubscribeCommand_1.SubscribeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.unsubscribe = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UnsubscribeCommand_1.UnsubscribeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SNS.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return SNS;
}(SNSClient_1.SNSClient));
exports.SNS = SNS;
//# sourceMappingURL=SNS.js.map