"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ConfirmSubscription_1 = require("../model/operations/ConfirmSubscription");
var ConfirmSubscriptionCommand = /** @class */ (function () {
    function ConfirmSubscriptionCommand(input) {
        this.input = input;
        this.model = ConfirmSubscription_1.ConfirmSubscription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ConfirmSubscriptionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ConfirmSubscriptionCommand;
}());
exports.ConfirmSubscriptionCommand = ConfirmSubscriptionCommand;
//# sourceMappingURL=ConfirmSubscriptionCommand.js.map