"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetTopicAttributes_1 = require("../model/operations/GetTopicAttributes");
var GetTopicAttributesCommand = /** @class */ (function () {
    function GetTopicAttributesCommand(input) {
        this.input = input;
        this.model = GetTopicAttributes_1.GetTopicAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetTopicAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetTopicAttributesCommand;
}());
exports.GetTopicAttributesCommand = GetTopicAttributesCommand;
//# sourceMappingURL=GetTopicAttributesCommand.js.map