"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SubscribeInput_1 = require("../shapes/SubscribeInput");
var SubscribeOutput_1 = require("../shapes/SubscribeOutput");
var SubscriptionLimitExceededException_1 = require("../shapes/SubscriptionLimitExceededException");
var FilterPolicyLimitExceededException_1 = require("../shapes/FilterPolicyLimitExceededException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var InvalidSecurityException_1 = require("../shapes/InvalidSecurityException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.Subscribe = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "Subscribe",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SubscribeInput_1.SubscribeInput
    },
    output: {
        shape: SubscribeOutput_1.SubscribeOutput,
        resultWrapper: "SubscribeResult"
    },
    errors: [
        {
            shape: SubscriptionLimitExceededException_1.SubscriptionLimitExceededException
        },
        {
            shape: FilterPolicyLimitExceededException_1.FilterPolicyLimitExceededException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: InvalidSecurityException_1.InvalidSecurityException
        }
    ]
};
//# sourceMappingURL=Subscribe.js.map